be.ehealth.technicalconnector.config.impl

## Class ConfigurationModuleSystemProps

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.ConfigurationModuleSystemProps

- All Implemented Interfaces:
    ConfigurationModule

      public class ConfigurationModuleSystemProps
      extends Object
      implements ConfigurationModule

  ConfigurationModule to set some system propertes on startup time. Implementation of `ConfigurationModule`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYSTEMPROP_ROOTKEY` Rootkey to alter `System`.getProperty(String key, String value);

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleSystemProps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEMPROP_ROOTKEY

          public static final String SYSTEMPROP_ROOTKEY

      Rootkey to alter `System`.getProperty(String key, String value);
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigurationModuleSystemProps

          public ConfigurationModuleSystemProps()

  - ### Method Detail

    - #### init

          public void init(Configuration config)
                    throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

    - #### unload

          public void unload()
                      throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.